Bullet Collision Detection & Physics Library: GIM_BVH_TREE_NODE Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Attributes | List of all members
GIM_BVH_TREE_NODE Class Reference

Node Structure for trees. More...

`#include <btGImpactBvhStructs.h>`

Collaboration diagram for GIM_BVH_TREE_NODE:
[legend]

## Public Member Functions
| GIM_BVH_TREE_NODE ()
bool | isLeafNode () const
int | getEscapeIndex () const
void | setEscapeIndex (int index)
int | getDataIndex () const
void | setDataIndex (int index)

## Public Attributes
btAABB | m_bound

## Protected Attributes
int | m_escapeIndexOrDataIndex

## Detailed Description

Node Structure for trees.

Definition at line 41 of file btGImpactBvhStructs.h.

## Constructor & Destructor Documentation

## ◆ GIM_BVH_TREE_NODE()

GIM_BVH_TREE_NODE::GIM_BVH_TREE_NODE | ( |  | ) |
| inline

Definition at line 50 of file btGImpactBvhStructs.h.

## Member Function Documentation

## ◆ getDataIndex()

int GIM_BVH_TREE_NODE::getDataIndex | ( |  | ) | const
| inline

Definition at line 72 of file btGImpactBvhStructs.h.

## ◆ getEscapeIndex()

int GIM_BVH_TREE_NODE::getEscapeIndex | ( |  | ) | const
| inline

Definition at line 61 of file btGImpactBvhStructs.h.

## ◆ isLeafNode()

bool GIM_BVH_TREE_NODE::isLeafNode | ( |  | ) | const
| inline

Definition at line 55 of file btGImpactBvhStructs.h.

## ◆ setDataIndex()

void GIM_BVH_TREE_NODE::setDataIndex | ( | int | index | ) |
| inline

Definition at line 79 of file btGImpactBvhStructs.h.

## ◆ setEscapeIndex()

void GIM_BVH_TREE_NODE::setEscapeIndex | ( | int | index | ) |
| inline

Definition at line 67 of file btGImpactBvhStructs.h.

## Member Data Documentation

## ◆ m_bound

btAABB GIM_BVH_TREE_NODE::m_bound

Definition at line 44 of file btGImpactBvhStructs.h.

## ◆ m_escapeIndexOrDataIndex

int GIM_BVH_TREE_NODE::m_escapeIndexOrDataIndex
| protected

Definition at line 47 of file btGImpactBvhStructs.h.

The documentation for this class was generated from the following file:

- btGImpactBvhStructs.h